less_equal.hpp File Reference
`#include <msgpack/preprocessor/arithmetic/sub.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/logical/not.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_LESS_EQUAL(x, y) MSGPACK_PP_LESS_EQUAL_I(x, y)
#define | MSGPACK_PP_LESS_EQUAL_I(x, y) MSGPACK_PP_NOT(MSGPACK_PP_SUB(x, y))
#define | MSGPACK_PP_LESS_EQUAL_D(d, x, y) MSGPACK_PP_LESS_EQUAL_D_I(d, x, y)
#define | MSGPACK_PP_LESS_EQUAL_D_I(d, x, y) MSGPACK_PP_NOT(MSGPACK_PP_SUB_D(d, x, y))

## Macro Definition Documentation

## MSGPACK_PP_LESS_EQUAL

#define MSGPACK_PP_LESS_EQUAL | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_LESS_EQUAL_I(x, y)

## MSGPACK_PP_LESS_EQUAL_D

#define MSGPACK_PP_LESS_EQUAL_D | ( |  | d,
|  |  | x,
|  |  | y
| ) |  | MSGPACK_PP_LESS_EQUAL_D_I(d, x, y)

## MSGPACK_PP_LESS_EQUAL_D_I

#define MSGPACK_PP_LESS_EQUAL_D_I | ( |  | d,
|  |  | x,
|  |  | y
| ) |  | MSGPACK_PP_NOT(MSGPACK_PP_SUB_D(d, x, y))

## MSGPACK_PP_LESS_EQUAL_I

#define MSGPACK_PP_LESS_EQUAL_I | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_NOT(MSGPACK_PP_SUB(x, y))